{"swagger":"2.0","schemes":["https"],"info":{"contact":{"name":"24liveblog","url":"https://24liveblog.com"},"description":"API for access to the data within 24liveblog.","title":"24live","version":"1.0.0","x-apisguru-categories":["social"],"x-preferred":true,"x-providerName":"24liveblog.com","x-serviceName":"liveblog"},"parameters":{"limit":{"description":"limit of response default 10.","in":"query","name":"limit","type":"integer"},"offset":{"description":"offset of response default 0.","in":"query","name":"offset","type":"integer"},"oauth_token":{"description":"OAuth 2.0 token for the current user.","in":"header","required":true,"name":"token","type":"string"}},"tags":[{"name":"User"},{"name":"Event"},{"name":"News"},{"name":"Contacts"},{"name":"Comments"}],"paths":{"/update_server/user/{uid}/profile/":{"get":{"description":"get the profile of the user.","parameters":[{"description":"The user id (which 24live called uid) of the user.","in":"path","name":"uid","required":true,"type":"string"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/Profile"}}},"tags":["User"]},"parameters":[{"$ref":"#/parameters/oauth_token"}]},"/update_server/user/{uid}/events/":{"get":{"description":"get all the events of user.","parameters":[{"description":"The uid of the user.","in":"path","name":"uid","required":true,"type":"string"},{"$ref":"#/parameters/limit"},{"$ref":"#/parameters/offset"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/Events"}}},"tags":["Event"]},"post":{"description":"to init an event so that the editor can post and add news for live blog.","parameters":[{"description":"The uid of the user.","in":"path","name":"uid","required":true,"type":"string"},{"description":"the title of event.(minLength:1,maxLength:200)","in":"query","name":"title","type":"string","minLength":1,"maxLength":200,"required":true},{"description":"description.(minLength:0,maxLength:2000)","in":"query","name":"description","type":"string","minLength":0,"maxLength":2000},{"description":"alert sound of this event.(none, sount1, sound2, sound3, sound4, sound5, sound6) (minLength:1, maxLength:20)","in":"query","name":"sound","type":"string","minLength":1,"maxLength":20,"default":"sound1"},{"description":"color.","in":"query","default":null,"name":"color","type":"string","minLength":1,"maxLength":20},{"description":"mouseovercolor.(minLength:1,maxLength:10)","in":"query","name":"mouseovercolor","default":null,"type":"string","minLength":1,"maxLength":10},{"description":"timecolor.(minLength:1,maxLength:10)","in":"query","name":"timecolor","default":null,"minLength":1,"maxLength":10,"type":"string"},{"description":"this event can have comment or not.","in":"query","name":"livetalk","type":"integer","default":1},{"description":"blinktitle.","in":"query","name":"blinktitle","type":"integer","default":0},{"description":"whether to allow sharing to Twitter.","in":"query","name":"retweet","type":"integer","default":1},{"description":"choose an scorebar of an event only for the soccer.","in":"query","name":"scorebar","type":"integer","default":0},{"description":"statusbar.","in":"query","name":"statusbar","type":"integer","default":0},{"description":"timeformat.（minLength:1，maxLength:22）(HH:mm, MM/DD HH:mm, MM/DD/YYYY HH:mm, DD/MM/YYYY HH:mm, YYYY/MM/DD HH:mm, DD/MM HH:mm, MMM DD HH:mm, now, MMM DD, YYYY HH:mm, YYYY MMM DD HH:mm)","in":"query","name":"timeformat","type":"string","minLength":1,"maxLength":22,"default":"hh:mm"},{"description":"news contains for one page for this event.","in":"query","name":"maxonepage","type":"integer","default":20},{"description":"watermark(it is a parameter for the membership).","in":"query","name":"watermark","type":"string","minLength":0,"maxLength":32},{"description":"show the livevisitors or not.","in":"query","name":"livevisitors","type":"integer"},{"description":"show the livevisitors or not.","in":"query","name":"livelikes","type":"integer"},{"description":"whitelabel only for the membership.","in":"query","name":"whitelabel","type":"integer"},{"description":"show on 24 or not only for the member.","in":"query","name":"show_on_24","type":"integer"},{"description":"live_url.","in":"query","name":"live_url","type":"string"},{"description":"tags.","in":"query","name":"tags","type":"array","items":{"type":"string"},"minLength":0,"maxLength":400},{"description":"css for this event only for the member","in":"query","name":"css","type":"string"},{"description":"theme_id.","in":"query","name":"theme_id","type":"integer"},{"description":"match_id.","in":"query","name":"match_id","type":"integer"},{"description":"category_id.","in":"query","name":"category_id","type":"integer"},{"description":"chat_position.","in":"query","name":"chat_position","type":"integer"},{"description":"greetings it can't be the empty string.","in":"query","name":"greetings","type":"string"},{"description":"anonymous_enable.","in":"query","name":"anonymous_enable","type":"integer"},{"description":"cover.","in":"query","name":"cover","type":"string"},{"description":"if this event chat room is available or not.","in":"query","name":"chat_enable","default":1,"type":"integer"},{"description":"if this event allow award","in":"query","name":"allow_award","default":1,"type":"integer"},{"description":"this event started unix time","in":"query","name":"started","default":1,"type":"integer"},{"description":"if this match_timeline is available or not","in":"query","name":"match_timeline","default":0,"type":"integer"},{"description":"if this match_vote is available or not","in":"query","name":"match_vote","default":1,"type":"integer"},{"description":"this event language.","in":"query","name":"language","default":1,"type":"integer"},{"description":"the ad_code for this event only for the membership","in":"query","name":"ad_code","default":1,"type":"integer"},{"description":"the ad_interval for the ad event only for the membership","in":"query","name":"ad_interval","default":1,"type":"integer"},{"$ref":"#/parameters/oauth_token"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/EventPost"}}},"tags":["Event"]}},"/update_server/event/{eid}/":{"get":{"description":"get the information of an event.","parameters":[{"description":"The eid of the event.","in":"path","name":"eid","required":true,"type":"string"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/Event"}}},"tags":["Event"]},"parameters":[{"$ref":"#/parameters/oauth_token"}],"delete":{"description":"delete the event.","parameters":[{"description":"The eid of the event.","in":"path","name":"eid","required":true,"type":"string"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/Base"}}},"tags":["Event"]},"put":{"description":"revise the information of an event.","parameters":[{"description":"The eid of the event.","in":"path","name":"eid","required":true,"type":"string"},{"description":"the title of event.","in":"query","name":"title","type":"string","minLength":1,"maxLength":200,"required":true},{"description":"description.","in":"query","name":"description","type":"string","minLength":0,"maxLength":2000},{"description":"sound.","in":"query","name":"alert sound of this event","type":"string","minLength":1,"maxLength":20,"default":"sound1"},{"description":"color.","in":"query","name":"color","type":"string","minLength":1,"maxLength":20,"default":""},{"description":"mouseovercolor.","in":"query","name":"mouseovercolor","type":"string","minLength":1,"maxLength":10},{"description":"timecolor.","in":"query","name":"timecolor","minLength":1,"maxLength":10,"type":"string"},{"description":"choose livetalk or not.","in":"query","name":"livetalk","type":"integer","default":0},{"description":"blinktitle.","in":"query","name":"blinktitle","type":"integer","default":0},{"description":"choose retweet or not.","in":"query","name":"retweet","type":"integer","default":1},{"description":"choose an scorebar of an event only for the soccer.","in":"query","name":"scorebar","type":"integer","default":0},{"description":"statusbar.","in":"query","name":"statusbar","type":"integer","default":0},{"description":"timeformat.","in":"query","name":"timeformat","type":"string","minLength":1,"maxLength":22,"default":"hh:mm"},{"description":"news contains for one page for this event.","in":"query","name":"maxonepage","type":"integer","default":20},{"description":"watermark.","in":"query","name":"watermark","type":"string","minLength":0,"maxLength":32},{"description":"show the livevisitors or not.","in":"query","name":"livevisitors","type":"integer"},{"description":"show the livevisitors or not.","in":"query","name":"livelikes","type":"integer"},{"description":"livequestion.","in":"query","name":"livequestion","type":"string"},{"description":"whitelabel.","in":"query","name":"whitelabel","type":"integer"},{"description":"show on 24 or not only for the member.","in":"query","name":"show_on_24","type":"integer"},{"description":"live_url.","in":"query","name":"live_url","type":"string"},{"description":"tags.","in":"query","name":"tags","type":"string","minLength":0,"maxLength":400},{"description":"css for this event only for the member","in":"query","name":"css","type":"string"},{"description":"theme_id.","in":"query","name":"theme_id","type":"integer"},{"description":"match_id.","in":"query","name":"match_id","type":"integer"},{"description":"category_id.","in":"query","name":"category_id","type":"integer"},{"description":"chat_position.","in":"query","name":"chat_position","type":"integer"},{"description":"greetings.","in":"query","name":"greetings","type":"string"},{"description":"anonymous_enable.","in":"query","name":"anonymous_enable","type":"integer"},{"description":"cover.","in":"query","name":"cover","type":"string"},{"description":"cost.","in":"query","name":"cost","type":"integer"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/Base"}}},"tags":["Event"]}},"/update_server/event/{eid}/editors":{"get":{"description":"get all the editors of an event.","parameters":[{"description":"The eid of the event.","in":"path","name":"eid","required":true,"type":"string"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/EventEditors"}}},"tags":["Event"]},"post":{"description":"add editor for the event","parameters":[{"description":"The eid of the event.","in":"path","name":"eid","required":true,"type":"string"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/Base"}}},"tags":["Event"]},"parameters":[{"$ref":"#/parameters/oauth_token"}]},"/update_server/event/{eid}/statistic/summary":{"get":{"description":"get the event summary.","parameters":[{"description":"The eid of the event.","in":"path","name":"eid","required":true,"type":"string"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/Summary"}}},"tags":["Event"]}},"/update_server/event/{eid}/editors/{uid}":{"delete":{"description":"get all the editors of an event.","parameters":[{"description":"The eid of the event.","in":"path","name":"eid","required":true,"type":"string"},{"description":"The uid of the editor.","in":"path","name":"uid","required":true,"type":"string"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/Base"}}},"tags":["Event"]},"parameters":[{"$ref":"#/parameters/oauth_token"}]},"/update_server/event/{eid}/news/":{"get":{"description":"get all the news of an event.","parameters":[{"description":"The eid of the event.","in":"path","name":"eid","required":true,"type":"string"},{"description":"inverted_order(the order of event news) .","in":"query","name":"inverted_order","type":"integer"},{"description":"the nid for the offset and limit to load more news","in":"query","name":"last_nid","type":"integer"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/News"}}},"tags":["News"]},"parameters":[{"$ref":"#/parameters/oauth_token"},{"$ref":"#/parameters/limit"}],"post":{"description":"post news for the event.","parameters":[{"description":"The eid of the event.","in":"path","name":"eid","required":true,"type":"string"},{"description":"the title of this news(minLength-0, maxLength-200)","in":"query","name":"newstitle","minLength":0,"maxLength":200,"type":"string"},{"description":"the contents of this news.(maxLength-65535)","in":"query","name":"contents","maxLength":65535,"type":"string"},{"description":"editorname.","in":"query","name":"editorname","type":"integer","default":0},{"description":"the type of this news( Text = 0 Audio = 1 Video = 2 Twitter = 3 Facebook = 4 YouTube = 5 Instagram = 6 HTML = 7 Vote = 8 Ad_code = 9 Live_audio = 10 Live_video = 11)","in":"query","name":"news_type","type":"integer","default":0},{"description":"the duration for this news for the vote type news if it equals there will be no duration.","in":"query","name":"duration","type":"integer","default":-1},{"description":"if the news is alert news or not","in":"query","name":"alert","type":"integer","default":0},{"description":"visible .","in":"query","name":"visible","type":"integer","default":0},{"description":"options(for the vote type) .","in":"query","name":"options","type":"array","items":{}},{"description":"above_nid .","in":"query","name":"above_nid","type":"string","default":""},{"description":"team id (for sports news) .","in":"query","name":"team_id","type":"string","default":""},{"description":"team name (for sports news) .","in":"query","name":"team_name","type":"string","default":""},{"description":"team logo (for sports news) .","in":"query","name":"team_logo","type":"string","default":""},{"description":"player id (for sports news) .","in":"query","name":"player_id","type":"integer","default":0},{"description":"player name (for sports news) .","in":"query","name":"player_name","type":"string","default":""},{"description":"player avatar (for sports news) .","in":"query","name":"player_avatar","type":"string","default":""},{"description":"player position (for sports news) .","in":"query","type":"string","name":"player_position","default":""},{"description":"action id (for sports news) .","in":"query","type":"integer","name":"action_id","default":0},{"description":"action name (for sports news) .","in":"query","type":"string","name":"action_name","default":""},{"description":"the action imgage (for sports news) .","in":"query","type":"string","name":"action_img","default":""},{"description":"action period (for sports news) .","in":"query","type":"string","name":"action_period","default":""},{"description":"action minutes (for sports news) .","in":"query","type":"integer","name":"action_min","default":0},{"description":"action second (for sports news) .","in":"query","type":"integer","name":"action_sec","default":0},{"description":"the client source type of this news(0:web, 1:iOS, 2:Android)","in":"query","type":"integer","name":"client_type","default":0}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/Base"}}},"tags":["News"]}},"/update_server/event/{eid}/news/{nid}":{"get":{"description":"get one news from an event.","parameters":[{"description":"The eid of the event.","in":"path","name":"eid","required":true,"type":"string"},{"description":"the news id of event.","in":"path","name":"nid","required":true,"type":"string"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/NewsSingle"}}},"tags":["News"]},"delete":{"description":"delete one news of an event.","parameters":[{"description":"The eid of the event.","in":"path","name":"eid","required":true,"type":"string"},{"description":"the news id of event.","in":"path","name":"nid","required":true,"type":"string"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/Base"}}},"tags":["News"]},"put":{"description":"revise one news of an event.","parameters":[{"description":"The eid of the event.","in":"path","name":"eid","required":true,"type":"string"},{"description":"the news id of event.","in":"path","name":"nid","required":true,"type":"string"},{"description":"the title of this news to change(minLength-0, maxLength-200)","in":"query","name":"newstitle","minLength":0,"maxLength":200,"type":"string"},{"description":"the contents of this news to change.(maxLength-65535)","in":"query","name":"contents","maxLength":65535,"type":"string"},{"description":"Wether the editor to show.","in":"query","name":"editorname","type":"integer","default":0},{"description":"the type of this news( Text = 0 Audio = 1 Video = 2 Twitter = 3 Facebook = 4 YouTube = 5 Instagram = 6 HTML = 7 Vote = 8 Ad_code = 9 Live_audio = 10 Live_video = 11)","in":"query","name":"news_type","type":"integer","default":0},{"description":"if the news is alert news or not","in":"query","name":"alert","type":"integer","default":0},{"description":"team id to change(for sports news) .","in":"query","name":"team_id","type":"string","default":""},{"description":"team name to change(for sports news) .","in":"query","name":"team_name","type":"string","default":""},{"description":"team logo to change(for sports news) .","in":"query","name":"team_logo","type":"string","default":""},{"description":"player id to change(for sports news) .","in":"query","name":"player_id","type":"integer","default":0},{"description":"player name to change(for sports news) .","in":"query","name":"player_name","type":"string","default":""},{"description":"player avatar to change(for sports news) .","in":"query","name":"player_avatar","type":"string","default":""},{"description":"player position to change (for sports news) .","in":"query","type":"string","name":"player_position","default":""},{"description":"action id to change(for sports news) .","in":"query","type":"integer","name":"action_id","default":0},{"description":"action name to change(for sports news) .","in":"query","type":"string","name":"action_name","default":""},{"description":"the action imgage to change(for sports news) .","in":"query","type":"string","name":"action_img","default":""},{"description":"action period to change(for sports news) .","in":"query","type":"string","name":"action_period","default":""},{"description":"action minutes to change (for sports news) .","in":"query","type":"integer","name":"action_min","default":0},{"description":"action second to change(for sports news) .","in":"query","type":"integer","name":"action_sec","default":0}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/Base"}}},"tags":["News"]},"parameters":[{"$ref":"#/parameters/oauth_token"}]},"/update_server/event/{eid}/top/{nid}":{"post":{"description":"top the news of the event by news id.","parameters":[{"description":"The eid of the event.","in":"path","name":"eid","required":true,"type":"string"},{"description":"the news id of event.","in":"path","name":"nid","required":true,"type":"string"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/Base"}}},"tags":["News"]},"delete":{"description":"delete the top news of the event by eid.","parameters":[{"description":"The eid of the event.","in":"path","name":"eid","required":true,"type":"string"},{"description":"the news id of event.","in":"path","name":"nid","required":true,"type":"string"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/Base"}}},"tags":["News"]}},"/update_server/user/{uid}/contacts/":{"get":{"description":"get the contacts by uid.","parameters":[{"description":"The uid of the event.","in":"path","name":"uid","required":true,"type":"string"},{"description":"contacts type of different contacts. (Default 0, 0:Confirmed, 1:Friends not confirmed, 2:Not confirmed by yourself)","in":"query","name":"contacts_type","type":"integer"},{"$ref":"#/parameters/limit"},{"$ref":"#/parameters/offset"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/Contacts"}}},"tags":["Contacts"]},"post":{"description":"add contactor.","parameters":[{"description":"The uid of the event.","in":"path","name":"uid","required":true,"type":"string"},{"description":"The contactor's email.(The email format must match [0-9a-zA-Z_.-]{0,100}@([0-9a-zA-Z_.-]+)\\.([0-9a-zA-Z_.-]{1,22}))","in":"path","name":"email","required":true,"type":"string"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/Base"}}},"tags":["Contacts"]}},"/update_server/user/{uid}/contacts/{fid}":{"delete":{"description":"delete an contactor with fid","parameters":[{"description":"The user id","in":"path","name":"uid","required":true,"type":"string"},{"description":"The contactor id","in":"path","name":"fid","required":true,"type":"string"},{"$ref":"#/parameters/limit"},{"$ref":"#/parameters/offset"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/Base"}}},"tags":["Contacts"]}},"/update_server/event/{eid}/comments/all/":{"get":{"description":"get all the evnet comments by eid.","parameters":[{"description":"The uid of the event.","in":"path","name":"eid","required":true,"type":"string"}],"responses":{"200":{"description":"Successful response","schema":{"$ref":"#/definitions/CommentAll"}}},"tags":["Comments"]},"parameters":[{"$ref":"#/parameters/oauth_token"},{"$ref":"#/parameters/limit"},{"$ref":"#/parameters/offset"}]}},"definitions":{"Base":{"properties":{"err_code":{"description":"The err_code","default":200,"type":"integer"},"err_msg":{"description":"The err_message","default":"success","type":"string"}}},"EventPost":{"properties":{"err_code":{"description":"The err_code","default":200,"type":"integer"},"err_msg":{"description":"The err_message","default":"success","type":"string"},"data":{"description":"response data","type":"object","properties":{"eid":{"description":"event id","type":"string"}}}}},"Profile":{"properties":{"err_code":{"description":"The err_code","default":200,"type":"integer"},"err_msg":{"description":"The err_message","default":"success","type":"string"},"data":{"description":"The user profile.","properties":{"company":{"description":"company name entered by the user","type":"string"},"liveid":{"description":"the liveid (live name) of the user.","type":"string"},"introduce":{"description":"the introduce of the user .","type":"string"},"uid":{"description":"user id.","type":"string"},"avatar":{"description":"User's avatar.","type":"string"},"platform":{"description":"User member subscription platform（1-stripe，2-paypal）","default":0,"type":"integer"},"website":{"description":"website name entered by the user","type":"string"},"email":{"description":"the email of the user.","type":"string"},"mem":{"description":"the user's membership status. （1-month, 2-quarter, 3-annual, 6-enterprise）","type":"integer"},"uname":{"description":"the user name.","type":"string"},"facebook":{"description":"facebook url entered by the user.","type":"string"},"linkedin":{"description":"linkedin url entered by the user.","type":"string"},"twitter":{"description":"twitter url entered by the user.","type":"string"},"tel":{"description":"tel url entered by the user.","type":"string"}},"type":"object"}}},"Events":{"properties":{"err_code":{"description":"The err_code","default":200,"type":"integer"},"err_msg":{"description":"The err_message","default":"success","type":"string"},"data":{"description":"the list of events information.","properties":{"count":{"description":"the number of the events user had post.","type":"integer"},"events":{"description":"events information list","type":"array","items":{"type":"object","properties":{"eid":{"description":"the id of the event.","type":"string"},"uid":{"description":"the creator's user id","type":"string"},"category_id":{"description":"the type of the event which returns a type id .","type":"integer"},"desc":{"description":"description","type":"string"},"event_short_id":{"description":"the event short id which is short in the event url.","type":"string"},"started":{"description":"the event started unix time that the editor set.","type":"integer"},"updated":{"description":"the event last updated unix time.","default":"the same as created","type":"integer"},"title":{"description":"the title of this event.","type":"string"},"closed":{"description":"check if the event is closed or not.(0 or 1)","type":"integer"},"created":{"description":"the event created unix time.","type":"integer"},"timeformat":{"description":"timeformat","type":"string"},"uname":{"description":"the creator's user name","type":"string"},"cover":{"description":"the cover of this event .","type":"string"},"self":{"description":"check if the event is the editor created (for the contributor True or False)","type":"boolean"},"avatar":{"description":"the creator's avatar.","type":"string"},"comment_count":{"description":"the comments number of this event.","type":"integer"},"likes_count":{"description":"the likes number of this event.","type":"integer"},"news_count":{"description":"the news number of this event.","type":"integer"},"pv":{"description":"the pageview of this event.","type":"integer"}}}}},"type":"object"}}},"Event":{"properties":{"err_code":{"description":"The err_code","default":200,"type":"integer"},"err_msg":{"description":"The err_message","default":"success","type":"string"},"data":{"description":"The information of this event.","properties":{"event":{"description":"the information for this event.","type":"object","properties":{"sound":{"description":"alert sound of this event.(none, sount1, sound2, sound3, sound4, sound5, sound6)","type":"string"},"css":{"description":"css of this event.","type":"string"},"category_img":{"description":"the category_img png.","type":"string"},"category_info":{"description":"the category info","type":"object"},"has_sec":{"description":"if this event has a second time.","type":"integer"},"periods":{"description":"periods of this event that the user can choose when this event is a sport event .","type":"array","items":{}},"has_min":{"description":"if this event has a minute time.","type":"integer"},"category_id":{"description":"the category id of this event.","type":"integer"},"category_name":{"description":"the category name of this event .","type":"string"},"actions":{"description":"the actions of this event returns an array of objects that contains action_id, action_name, action_img, editor_uploaded","type":"array","items":{}},"greetings":{"description":"the greeting message of this event(not empty)","type":"string"},"is_creator_mem":{"description":"if this creator is an membership of this event.","type":"boolean"},"cover":{"description":"the cover of this event.","type":"string"},"language":{"description":"the language of this event","default":"en","type":"string"},"retweet":{"description":"Whether to allow sharing to Twitter.","type":"integer"},"allow_award":{"description":"if this event choosed award or not.","type":"integer"},"title":{"description":"title of this event.","type":"string"},"anonymous_enable":{"description":"if this event anonymous comment is available or not...","type":"integer"},"chat_position":{"description":"chat_position of this event.(1 or 0)","type":"integer"},"whitelabel":{"description":"whitelabel or not of this event.","type":"integer"},"timeformat":{"description":"timeformat.","type":"string"},"cost":{"description":"the cost of this event when this event is a paid event and the editor must be a membership can set.","type":"integer"},"livevisitors":{"description":"the number of livevisitors now","type":"integer"},"mouseovercolor":{"description":"mouseovercolor.","type":"string"},"match_info":{"description":"the match_info of this event.","type":"object"},"chat_enable":{"description":"if chat room is avaliable or not.","type":"integer"},"livequestion":{"description":"if livequestion is avaliable or not..","type":"integer"},"top_id":{"description":"when a news is top news there should be a top id","type":"string"},"show_on_24":{"description":"if this event show on 24 or not","type":"integer"},"livelikes":{"description":"Whether to allow likes","type":"integer"},"share_id":{"description":"share id of this event","type":"integer"},"statusbar":{"description":"if this event allow statusbar or not","type":"integer"},"blinktitle":{"description":"blinktitle","type":"integer"},"oauth_twitter":{"description":"Whether the event has been bound to Twitter","type":"integer"},"color":{"description":"color","type":"string"},"started":{"description":"this event started time","type":"integer"},"admin_level":{"description":"Current user's administrative rights to the event","type":"integer"},"livetalk":{"description":"Whether to allow comments","type":"integer"},"ad_code":{"description":"ad_code","type":"string"},"ad_interval":{"description":"ad_interval","type":"integer"},"match_vote":{"description":"allow match vote or not for this event","type":"integer"},"pv":{"description":"the number of pageview of this event","type":"integer"},"tags":{"description":"tags of this event","type":"string"},"liveurl":{"description":"the live url of this event","type":"integer"},"sync_twitter":{"description":"sync twitter or not","type":"integer"},"event_short_id":{"description":"event short id","type":"string"},"embed_type":{"description":"Embed theme style(0:Normal,3:Sports,4:Dark-default,4-1:Dark-black,4-2:Dark-grey,5:Card-default,5-1:Card-black,5-2:Card-grey,5-3:Card-blue,5-4:Card-red,6:Metallic,6-1:Metallic-black,6-2:Metallic-grey,7:Out border,7:Out border-black,8:Block-default,8-1:Block-black,8-2:Block-grey,9:Live center)","type":"string"},"maxonepage":{"description":"max number of  news that one page can show for this event","type":"integer"},"theme_id":{"description":"theme_id for this event (event can choose different theme)","type":"string"},"description":{"description":"description of this event","type":"string"},"timecolor":{"description":"timecolor","type":"string"},"match_timeline":{"description":"match_timeline","type":"integer"},"likes":{"description":"the number of likes of this event now","type":"integer"},"scorebar":{"description":"allow the scorebar or not for this event","type":"integer"},"closed":{"description":"this event is open or closed","type":"integer"},"watermark":{"description":"water mark for this event and if editor is membership can change the default water mark","type":"string"},"tw_uname":{"description":"twitter name of this event","type":"integer"},"device":{"type":"object","properties":{"tablet":{"type":"integer"},"mobile":{"type":"integer"},"pc":{"type":"integer"}}}}},"liveinfo":{"type":"object"}},"type":"object"}}},"EventEditors":{"properties":{"err_code":{"description":"The err_code","default":200,"type":"integer"},"err_msg":{"description":"The err_message","default":"success","type":"string"},"data":{"description":"The main return data of response.","properties":{"editors":{"description":"return an array of every editor's information.","type":"array","items":{"properties":{"admin_level":{"description":"The admin level of this editor 0,1","default":0,"type":"integer"},"news_count":{"description":"How many news of this editor post","default":0,"type":"integer"},"uname":{"description":"The editor's name","type":"string"},"email":{"description":"The editor's email","type":"string"},"avatar":{"description":"The editor's avatar","type":"string"},"uid":{"description":"the uid of this editor","type":"integer"},"online":{"description":"if this editor is online or not","type":"integer"},"is_creator":{"description":"if this editor is the creator of this event or not","type":"integer"},"short_id":{"description":"short_id","type":"string"}}}}}}}},"News":{"properties":{"err_code":{"description":"The err_code","default":200,"type":"integer"},"err_msg":{"description":"The err_message","default":"success","type":"string"},"data":{"description":"The information of this event.","properties":{"news":{"description":"news list of this event.","type":"array","items":{"properties":{"nid":{"description":"news id of this news","type":"string"},"newstitle":{"description":"the news title","type":"string"},"contents":{"description":"the contents of this news","type":"string"},"created":{"description":"the news created time","type":"integer"},"lastupdate":{"description":"the news lastupdated time","type":"integer"},"uid":{"description":"the user id of this news","type":"string"},"editorname":{"description":"editorname","type":"string"},"avatar":{"description":"editor's avatar","type":"string"},"news_type":{"description":"the type of this news( Text = 0 Audio = 1 Video = 2 Twitter = 3 Facebook = 4 YouTube = 5 Instagram = 6 HTML = 7 Vote = 8 Ad_code = 9 Live_audio = 10 Live_video = 11)","type":"integer"},"likes":{"description":"the number of likes about this news","type":"integer"},"alert":{"description":"alert","type":"integer"},"duration":{"description":"the duration of this news if this","type":"integer"},"background":{"description":"the background color of this news","type":"string"},"visible":{"description":"if the poll type news is visible or not","type":"integer"},"options":{"description":"vote options","type":"array","items":{"type":"object","properties":{"pid":{"description":"poll id of this vote","type":"string"},"desc":{"description":"description of this vote","type":"string"},"count":{"description":"the number of the vote","type":"integer"}}}},"voting_count":{"description":"the number of all vote number","type":"integer"}}}},"count":{"description":"the number of news returned","type":"integer"},"inverted_order":{"description":"the order of the news reuturned order by updated time desc","type":"integer","default":2}}}}},"NewsSingle":{"properties":{"err_code":{"description":"The err_code","default":200,"type":"integer"},"err_msg":{"description":"The err_message","default":"success","type":"string"},"data":{"description":"The information of this event.","properties":{"nid":{"description":"news id of this news","type":"string"},"newstitle":{"description":"the news title","type":"string"},"contents":{"description":"the contents of this news","type":"string"},"created":{"description":"the news created time","type":"integer"},"lastupdate":{"description":"the news lastupdated time","type":"integer"},"uid":{"description":"the user id of this news","type":"string"},"editorname":{"description":"Whether to display the editor's name","type":"integer"},"avatar":{"description":"editor's avatar","type":"string"},"news_type":{"description":"the type of this news Text = 0 Audio = 1 Video = 2 Twitter = 3 Facebook = 4 YouTube = 5 Instagram = 6 HTML = 7 Vote = 8 Ad_code = 9 Live_audio = 10 Live_video = 11","type":"integer"},"likes":{"description":"the number of likes about this news","type":"integer"},"share_url":{"description":"the url to when the news is to share or live","type":"string"},"alert":{"description":"Whether it is an alert news","type":"integer"},"duration":{"description":"the duration of this news if this a vote news","type":"integer"},"visible":{"description":"if the news is visible or not only when it is a vote news","type":"integer"},"options":{"description":"vote options","type":"array","items":{"type":"object","properties":{"pid":{"description":"poll id of this vote","type":"string"},"desc":{"description":"description of this vote","type":"string"},"count":{"description":"the number of the vote","type":"integer"}}}},"voting_count":{"description":"the total number of vote (only for vote news)","type":"integer"},"background":{"description":"the background color of this news","type":"string"},"action_info":{"description":"the action info return an action object","type":"array","items":{"type":"object","properties":{"action_id":{"description":"the action id","type":"integer"},"action_name":{"description":"the action name","type":"string"},"action_img":{"description":"the action's image","type":"string"},"editor_uploaded":{"description":"if this action is uploaded by himself","type":"boolean"}}}}},"type":"object"}}},"Contacts":{"properties":{"err_code":{"description":"The err_code","default":200,"type":"integer"},"err_msg":{"description":"The err_message","default":"success","type":"string"},"data":{"description":"the user's contact information.","properties":{"count":{"description":"the number of the user's contacts.","type":"integer"},"unconfirmed_count":{"description":"the number of unconfirmed contactors","type":"integer"},"contacts":{"description":"the contacts information","type":"array","items":{"type":"object","properties":{"uid":{"description":"the user id","type":"integer"},"uname":{"description":"the contact user name","type":"string"},"avatar":{"description":"the contact's avatar.","type":"string"},"email":{"description":"the contact's email","type":"string"},"created":{"description":"the created time of this contactor","type":"integer"}}}}}}}},"CommentAll":{"properties":{"err_code":{"description":"The err_code","default":200,"type":"integer"},"err_msg":{"description":"The err_message","default":"success","type":"string"},"data":{"description":"The main return data of response.","properties":{"self":{"description":"Make sure that it is the editor self.","type":"boolean"},"is_creator_mem":{"description":"check if it is the member of 24liveblog.","type":"boolean"},"true_count":{"description":"All comments count .","type":"integer"},"count":{"description":"Comments Count of first level .","type":"integer"},"page_count":{"description":"page_count.","type":"integer"},"approve_count":{"description":"approve_count.","type":"integer"},"pending_count":{"description":"pending_count.","type":"integer"},"reject_count":{"description":"reject_count.","type":"integer"},"comments":{"description":"comments.","type":"array","items":{"properties":{"cid":{"description":"the id of this comment","type":"string"},"uid":{"description":"the user id of this comment","type":"string"},"uname":{"description":"the user name","type":"string"},"avatar":{"description":"the user's avatar","type":"string"},"content":{"description":"the content of this comment","type":"string"},"created":{"description":"the created unix time of this comment","type":"string"},"auth_type":{"description":"the auth type（0-24，1-twitter, 2-facebook, 3-linkedin）","type":"integer"},"like":{"description":"the number of like","type":"integer"},"dislike":{"description":"the number of like","type":"integer"},"sensitive_status":{"description":"the sensitive type of this comment (0-pass, 4-replace by *** pass, (1 or 2 pending review)，3-reject)","type":"integer"},"c_type":{"description":"the comment type (0-picture, 1-string)","type":"integer"},"ip":{"description":"the comment ip","type":"string"},"nid":{"description":"the news id if this comment is under a news","type":"integer"},"is_liked":{"description":"if the user had liked this comment","type":"integer"},"is_disliked":{"description":"if the user had disliked this comment","type":"integer"},"sub_comment_count":{"description":"the number of sub comment","type":"integer"},"sub_comment":{"description":"sub comments of this comment","type":"array","items":{"properties":{"cid":{"description":"the id of this comment","type":"string"},"uid":{"description":"the user id of this comment","type":"string"},"uname":{"description":"the user name","type":"string"},"avatar":{"description":"the user's avatar","type":"string"},"content":{"description":"the content of this comment","type":"string"},"created":{"description":"the created unix time of this comment","type":"string"},"auth_type":{"description":"the auth type（0-24，1-twitter, 2-facebook, 3-linkedin）","type":"integer"},"like":{"description":"the number of like","type":"integer"},"dislike":{"description":"the number of like","type":"integer"},"sensitive_status":{"description":"the sensitive type of this comment (0-pass, 4-replace by *** pass, (1 or 2 pending review)，3-reject)","type":"integer"},"c_type":{"description":"the comment type (0-picture, 1-string)","type":"integer"},"ip":{"description":"the comment ip","type":"string"},"nid":{"description":"the news id if this comment is under a news","type":"integer"},"is_liked":{"description":"if the user had liked this comment","type":"integer"},"is_disliked":{"description":"if the user had disliked this comment","type":"integer"}}}}}}},"likes_count":{"description":"the number of likes.","type":"integer"},"contributor_count":{"description":"the number of contributors.","type":"integer"}},"type":"object"}}},"Summary":{"properties":{"err_code":{"description":"The err_code","default":200,"type":"integer"},"err_msg":{"description":"The err_message","default":"success","type":"string"},"data":{"description":"The main return data of response.","properties":{"title":{"description":"The Event title.","type":"string"},"started":{"description":"The Event start time.","type":"integer"},"updated":{"description":"The Event last updated time.","type":"integer"},"liveurl":{"type":"string","description":"the live url of this event"},"duration":{"description":"the duration time of this event","type":"integer"},"max_uv":{"description":"the max user view.","type":"integer"},"uv_count":{"description":"the number of user view.","type":"integer"},"pv_count":{"description":"the number of pageview.","type":"integer"},"closed":{"description":"The Event status if it is closed.","type":"integer"},"news_count":{"description":"the number of news.","type":"integer"},"likes_count":{"description":"the number of likes.","type":"integer"},"comments_count":{"description":"the number of comments.","type":"integer"},"contributor_count":{"description":"the number of contributors.","type":"integer"}},"type":"object"}}}},"host":"virtserver.swaggerhub.com","basePath":"/24live/24live_api/1.0.0"}